UNIT Clocks;
INTERFACE
USES
  Globals;

TYPE
   Mode = (Start, Elapsed);

FUNCTION Clock(Button : Mode) : int32;
{-- returns time since start, in seconds }

IMPLEMENTATION
USES
  SysUtils;

VAR
  StartTime,
  StopTime : int32;


FUNCTION Clock(Button : Mode) : int32;
{-- in seconds }
BEGIN
  IF Button = Start THEN
    BEGIN
      StartTime := int32(GetTickCount64);
      Clock     := 0;
    END
  ELSE  {-- elapsed time }
    BEGIN
      StopTime := int32(GetTickCount64);
      Clock    := (StopTime - StartTime) DIV 1000; {-- time alapsed in seconds }
    END;
END;


BEGIN
END.
